interrupt.h(3)

NAME
interrupt.h -

Detailed Description

@{

SYNOPSIS

  Defines

Global manipulation of the interrupt flag
The global interrupt flag is maintained in the I bit of the status register (SREG).

#define sei()
#define cli()

Macros for writing interrupt handler functions

#define ISR(vector, attributes)
#define SIGNAL(vector)
#define EMPTY_INTERRUPT(vector)
#define ISR_ALIAS(vector, target_vector)
#define reti()
#define BADISR_vect

ISR attributes

#define ISR_BLOCK
#define ISR_NOBLOCK
#define ISR_NAKED
#define ISR_ALIASOF(target_vector)

Author

Generated automatically by Doxygen for avr-libc from the source code.